LibreOffice: cppu::ImplHelper6< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6 > Class Template Reference

LibreOffice LibreOffice 5.2 SDK C/C++ API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Classes | Public Member Functions | Protected Member Functions | List of all members
cppu::ImplHelper6< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6 > Class Template Reference

Implementation helper implementing interface css::lang::XTypeProvider and method XInterface::queryInterface(), but no reference counting. More...

`#include <implbase6.hxx>`

Inheritance diagram for cppu::ImplHelper6< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6 >:

## Public Member Functions
virtual css::uno::Any | queryInterface (css::uno::Type const &rType) SAL_OVERRIDE throw (css::uno::RuntimeException, std::exception)
virtual css::uno::Sequence< css::uno::Type > | getTypes () SAL_OVERRIDE throw (css::uno::RuntimeException, std::exception)
virtual css::uno::Sequence< sal_Int8 > | getImplementationId () SAL_OVERRIDE throw (css::uno::RuntimeException, std::exception)

## Protected Member Functions
| ~ImplHelper6 () throw ()

## Detailed Description

### template<class Ifc1, class Ifc2, class Ifc3, class Ifc4, class Ifc5, class Ifc6>
class cppu::ImplHelper6< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6 >

Implementation helper implementing interface css::lang::XTypeProvider and method XInterface::queryInterface(), but no reference counting.

Derive:

Inherit from this class giving your interface(s) to be implemented as template argument(s). Your sub class defines method implementations for these interface(s) including acquire()/ release() and delegates incoming queryInterface() calls to this base class.

## Constructor & Destructor Documentation

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 >

cppu::ImplHelper6< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6 >::~ImplHelper6 | ( |  | ) |
throw | ( |
| ) |  |
| inlineprotected

## Member Function Documentation

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 >

virtual css::uno::Sequence< sal_Int8 > cppu::ImplHelper6< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6 >::getImplementationId | ( |  | ) |
throw | ( | css::uno::RuntimeException,
|  | std::exception
| ) |  |
| inlinevirtual

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 >

virtual css::uno::Sequence< css::uno::Type > cppu::ImplHelper6< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6 >::getTypes | ( |  | ) |
throw | ( | css::uno::RuntimeException,
|  | std::exception
| ) |  |
| inlinevirtual

template<class Ifc1 , class Ifc2 , class Ifc3 , class Ifc4 , class Ifc5 , class Ifc6 >

virtual css::uno::Any cppu::ImplHelper6< Ifc1, Ifc2, Ifc3, Ifc4, Ifc5, Ifc6 >::queryInterface | ( | css::uno::Type const & | rType | ) |
throw | ( | css::uno::RuntimeException,
|  | std::exception
| ) |  |
| inlinevirtual

The documentation for this class was generated from the following file:

- cppuhelper/implbase6.hxx